Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Gem related tweaks

  • Loading branch information...
commit b9db3c85ec5e68ac753c70b281b9277381981d93 1 parent de6b4f2
Pieter van de Bruggen pvande authored

Showing 3 changed files with 35 additions and 3 deletions. Show diff stats Hide diff stats

  1. +2 3 Rakefile
  2. +4 0 VERSION.yml
  3. +29 0 differ.gemspec
5 Rakefile
@@ -3,12 +3,11 @@ require 'rake'
3 3 begin
4 4 require 'jeweler'
5 5 Jeweler::Tasks.new do |gem|
6   - gem.name = "Differ"
7   - gem.summary = %Q{TODO}
  6 + gem.name = "differ"
  7 + gem.summary = "A simple gem for generating string diffs"
8 8 gem.email = "pvande@gmail.com"
9 9 gem.homepage = "http://github.com/pvande/differ"
10 10 gem.authors = [ "Pieter Vande Bruggen" ]
11   - # gem is a Gem::Specification... see http://www.rubygems.org/read/chapter/20 for additional settings
12 11 end
13 12 rescue LoadError
14 13 puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
4 VERSION.yml
... ... @@ -0,0 +1,4 @@
  1 +---
  2 +:patch: 1
  3 +:major: 0
  4 +:minor: 1
29 differ.gemspec
... ... @@ -0,0 +1,29 @@
  1 +# -*- encoding: utf-8 -*-
  2 +
  3 +Gem::Specification.new do |s|
  4 + s.name = %q{differ}
  5 + s.version = "0.1.1"
  6 +
  7 + s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  8 + s.authors = ["Pieter Vande Bruggen"]
  9 + s.date = %q{2009-03-29}
  10 + s.email = %q{pvande@gmail.com}
  11 + s.extra_rdoc_files = ["README.rdoc"]
  12 + s.files = ["README.rdoc", "VERSION.yml", "lib/differ", "lib/differ/change.rb", "lib/differ/diff.rb", "lib/differ/format", "lib/differ/format/ascii.rb", "lib/differ/format/color.rb", "lib/differ/format/html.rb", "lib/differ/string.rb", "lib/differ.rb", "spec/differ", "spec/differ/change_spec.rb", "spec/differ/diff_spec.rb", "spec/differ/format", "spec/differ/format/ascii_spec.rb", "spec/differ/format/color_spec.rb", "spec/differ/format/html_spec.rb", "spec/differ/string_spec.rb", "spec/differ_spec.rb", "spec/spec_helper.rb"]
  13 + s.has_rdoc = true
  14 + s.homepage = %q{http://github.com/pvande/differ}
  15 + s.rdoc_options = ["--inline-source", "--charset=UTF-8"]
  16 + s.require_paths = ["lib"]
  17 + s.rubygems_version = %q{1.3.1}
  18 + s.summary = %q{A simple gem for generating string diffs}
  19 +
  20 + if s.respond_to? :specification_version then
  21 + current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
  22 + s.specification_version = 2
  23 +
  24 + if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
  25 + else
  26 + end
  27 + else
  28 + end
  29 +end

0 comments on commit b9db3c8

Please sign in to comment.
Something went wrong with that request. Please try again.